package CodeGen;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;
import afit.mom.*;

/**
 * This type was created in VisualAge.
  *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */
public class MessageGUI extends Frame implements ActionListener
{
	private TextArea theText;
	private Panel textPanel;
	private TextField Tname;
/**
 * ServerAgentGUI constructor comment.
 */
public MessageGUI(String name) {
	super();

	/* window initialization */

	setSize(600, 405); // set default size & height of new window

	// create a listener to capture windowClosing event
	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
			dispose();
		}
	});

	// set up window name & color
	setTitle(name);
	setBackground(Color.lightGray);
	setLayout(new BorderLayout());

	// text panel

	textPanel = new Panel();
	theText = new TextArea(23, 80);
	theText.setBackground(Color.white);
	theText.setForeground(Color.black);
	textPanel.add(theText);
	add(textPanel, "Center");

	// top label

	/*	Panel namePanel = new Panel();
	namePanel.setForeground(Color.white);
	Label nameLabel = new Label("Enter text of your choice: ");
	namePanel.add(nameLabel, "Center");
	add(namePanel, "North");
	*/

	setVisible(true);
}
/**
 * This method was created in VisualAge.
 * @param e java.awt.event.ActionEvent
 */
public void actionPerformed(ActionEvent e) {
}
/*
 * method to get the directory to save the generated files to
 */

protected String getSaveDirectory(String defDirectory) {
	java.awt.FileDialog saveDialog 
		= new java.awt.FileDialog(this, "Select Code Generation Directory", java.awt.FileDialog.SAVE);
	saveDialog.setDirectory(defDirectory);
	saveDialog.show();
	return saveDialog.getDirectory();
}
/**
 * This method was created in VisualAge.
 * @param s java.lang.String
 */
protected void write(String s)
{
	this.theText.append(s + "\n");
}
/**
 * This method was created in VisualAge.
 * @param s java.lang.String
 */
protected void writeError(String s) {
	theText.setForeground(Color.red);
	this.theText.append("** ERROR ** " + s + "\n");
	//theText.setForeground(Color.black);
}
}
