package Transforms;

/**
 * This class is used to represent a conversation between two agents
 *
 * Creation date: (11/3/00 10:50:21 AM)
 * @author: Clint Sparkman
 *
 *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */

import java.util.Vector;
import system.ATconversation;
 
public class Conversation {
	private ATconversation		atConversation = null;
	private String 				name = null;			// name of conversation
	private Agent				init = null;
	private Agent				resp = null;
	private ConversationHalf	initiator = null;		// initiator half of conversation
	private ConversationHalf	responder = null;		// responder half of conversation
/**
 * Insert the method's description here.
 * Creation date: (12/1/00 2:43:09 PM)
 */
public Conversation(String n) {
	name = n;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @return system.ATconversation
 */
public system.ATconversation getAtConversation() {
	return atConversation;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @return Transforms.Agent
 */
public Agent getInit() {
	return init;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @return Transforms.ConversationHalf
 */
public ConversationHalf getInitiator() {
	return initiator;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @return java.lang.String
 */
public java.lang.String getName() {
	return name;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @return Transforms.Agent
 */
public Agent getResp() {
	return resp;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @return Transforms.ConversationHalf
 */
public ConversationHalf getResponder() {
	return responder;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @param newAtConversation system.ATconversation
 */
public void setAtConversation(system.ATconversation newAtConversation) {
	atConversation = newAtConversation;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @param newInit Transforms.Agent
 */
public void setInit(Agent newInit) {
	init = newInit;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @param newInitiator Transforms.ConversationHalf
 */
public void setInitiator(ConversationHalf newInitiator) {
	initiator = newInitiator;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @param newName java.lang.String
 */
public void setName(java.lang.String newName) {
	name = newName;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @param newResp Transforms.Agent
 */
public void setResp(Agent newResp) {
	resp = newResp;
}
/**
 * Insert the method's description here.
 * Creation date: (12/5/00 8:29:50 PM)
 * @param newResponder Transforms.ConversationHalf
 */
public void setResponder(ConversationHalf newResponder) {
	responder = newResponder;
}
}
