package Transforms;

/**
 * This class is used to display component diagrams and request the user to determine
 * if two events in the components match.
 *
 * Creation date: (12/8/00 9:26:04 AM)
 * @author: Clint Sparkman
 *
 *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import system.ATstatetable;
import system.ATtransition;
import Editor.ConversationPanel;
import Editor.RolePanel;

public class ConversationDialog extends javax.swing.JDialog {
	JScrollPane			scrollPane1;
	JScrollPane			scrollPane2;
	JScrollPane			scrollPane3;
	JPanel				panel1;
	JPanel				panel2;
	JPanel				panel3;
	JPanel				panel4;
	JPanel				buttonPanel;
	JPanel				msgPanel;
	JLabel				label1;
	JLabel				label2;
	JLabel				label3;
	JLabel				label4;
	JTextPane			textPane1;
	TSystem				sys;
	ConversationPanel 	convPanel1;
	ConversationPanel 	convPanel2;
	RolePanel			rolePanel;
	JButton				yesButton;
	JButton				noButton;
	int 				value = 0;
	JLabel				msg1;
	JLabel				msg2;
	JLabel				msg3;
}
