package afit.mom;

/**
 * AFIT agentMom - version 1.0
 *
 * 4 October 1999
 *
 * agentMom Message class definition.
 */

import java.lang.*;

public class Message implements java.io.Serializable {
	public String host = null;
	public int port = 0;
	public String sender = null;
	public String receiver = null;
	public String performative = null;
	public String force = null; // whether the sender will every deny the meaning of the performative
	public String inreplyto = null; // the expected label in a reply
	public String language = null; // name of representation language of the content
	public String ontology = null; // name of the ontoloty used in the content
	public String replywith = null; // whether the sender expects a reply, and if so, a label for the reply
	public Object content = null;
public Message()
{
	super();
}
public Object getContent()
{
	return content;
}
public String getPerformative()
{
	return performative;
}
public String getReceiver()
{
	return receiver;
}
public String getSender()
{
	return sender;
}
public void setContent(Object cont)
{
	content = cont;
}
public void setContent(String cont)
{
	content = cont;
}
public void setPerformative(String perf)
{
	performative = perf;
}
public void setReceiver(String name)
{
	receiver = name;
}
public void setSender(String name)
{
	sender = name;
}
}
