package system;

/*
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 */
public class ATerror {
	
	public static final int DEADLOCK = 0;
	public static final int PROGRESS = 1;
	private int Type = DEADLOCK;
	
	private String ConvName = null;
	private String PartcipantName = null;
	private String CurrentState = null;
	private String StateTransition = null; // receive event
public ATerror(int tType, String tConvName, String tPartcipantName, String tCurrentState, String tStateTransition) {
	super();
	Type = tType;
	ConvName = tConvName;
	PartcipantName = tPartcipantName;
	CurrentState = tCurrentState;
	StateTransition = tStateTransition;
}
public String getConvName() {
	return ConvName;
}
public String getCurrentState() {
	return CurrentState;
}
public String getParticipantName() {
	return PartcipantName;
}
public String getStateTransition() {
	return StateTransition;
}
public int getType() {
	return Type;
}
}
