package system;

import java.util.*;
/**
 * This type was created in VisualAge.
 *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */
 import java.awt.*;
public class ATstateGRFX extends Square {
	String name = "";
//	String action = "";
	private int Max=60;
	private Vector actions = new Vector();
	boolean drawn = false;
	int textHeight,center,tempY;
/**
 * ATtransitionGRFX constructor comment.
 */
public ATstateGRFX() {
	super();
}
/**
 * ATtransitionGRFX constructor comment.
 */
public ATstateGRFX(ATstateGRFX cp) {
	super(cp);
}
/**
 * Insert the method's description here.
 * Creation date: (11/22/00 12:03:25 PM)
 * @return system.ATstateGRFX
 */
public ATstateGRFX copyATstateGRFX() {
	ATstateGRFX newState = new ATstateGRFX();
	newState.x = this.x;
	newState.y = this.y;
	newState.center_x= this.center_x;
	newState.center_y= this.center_y;	
	newState.width= this.width;
	newState.height= this.height;
	newState.LinesX1 = this.LinesX1;
	newState.LinesX2 = this.LinesX2;
	newState.LinesY1 = this.LinesY1;
	newState.LinesY2 = this.LinesY2;

	newState.name = this.name;
	newState.actions = this.getActions();
	newState.drawn = this.drawn;
	newState.textHeight = this.textHeight;
	newState.center = this.center;
	newState.tempY = this.tempY;

	System.out.println("newState.x = " + newState.x + "this.x = " + this.x);
	System.out.println("newState.y = " + newState.y + "this.y = " + this.y);
	System.out.println("newState.center_x = " +newState.center_x+ " this.center_x = "+ this.center_x);
	System.out.println("newState.center_y= "  +newState.center_y+ " this.center_y = " +this.center_y);
	System.out.println("newState.width= " +newState.width +" this.width = " +this.width);
	System.out.println("newState.height= "+newState.height +" this.height = " +this.height);
	System.out.println("newState.LinesX1 = " +newState.LinesX1 +" this.LinesX1 = " +this.LinesX1);
	System.out.println("newState.LinesX2 = " +newState.LinesX2 +" this.LinesX2 = " +this.LinesX2);
	System.out.println("newState.LinesY1 = " +newState.LinesY1 +" this.LinesY1 = " +this.LinesY1);
	System.out.println("newState.LinesY2 = " +newState.LinesY2 +" this.LinesY2 = " +this.LinesY2);
	System.out.println("newState.name = " +newState.name +" this.name = " +this.name);
	System.out.println("newState.actions = "+newState.actions+" this.getActions() = "+this.getActions());
	System.out.println("newState.drawn = "+newState.drawn + " this.drawn = " +this.drawn);
	System.out.println("newState.textHeight = " + newState.textHeight + " this.textHeight = "+ this.textHeight);
	System.out.println("newState.center = " + newState.center +" this.center = " +this.center);
	System.out.println("newState.tempY = " +newState.tempY + " this.tempY = " +this.tempY);
	
	return newState;
}
	//- - - - - - - - -
	// Draw a blue line
	//- - - - - - - - -
public void drawError(java.awt.Graphics g) {
	g.setColor(new java.awt.Color(255,255,120));
	g.fillRect(x1-3,y1-3,width+7,height+7);

}
/**
 * This method was created in VisualAge.
 * @param g Graphics
 */
public void drawObject(Graphics g) {
	Font f = g.getFont();
	//FontMetrics fm = Toolkit.getDefaultToolkit().getFontMetrics(f);
	FontMetrics fm = g.getFontMetrics(); // SAD Change - deprecated fix???
	String s = name;
//	String actName = "";
	int size = 0;
	int ascent = fm.getAscent();
	textHeight = fm.getHeight();
	int textWidth = fm.stringWidth(s);
	
	tempY = 0;
	String action;
	
	width = Max;
	x2 = x1 + Max;

	//size the component height based on the number of attributes and methods
	if (actions.size() == 0 || actions.size() == 1)
		tempY = 1;
	else{
		tempY = actions.size();
	}
	height = textHeight * (tempY + 1) + 9;
	y2 = y1 + (textHeight * (tempY + 1) + 9);

	for (x = 0; x < actions.size(); x++)
	{
		action = (String) actions.elementAt(x);
		size = fm.stringWidth(action);
		if ((size) > (width))
		{
			width = size + 5;
			x2 = x1 + width;
		}
	}
	
	if ((textWidth) > (Max))
	{
		Max = textWidth + 5;
		width = Max;
		x2 = x1 + Max;
	}
	
	center = x1 + (width - textWidth) / 2;
	
	g.setColor(new java.awt.Color(255,255,225)); // change to yellowish
	g.fillRoundRect(x1,y1,width,height,15,15);
	
	g.setColor(new java.awt.Color(0,0,155));
	g.drawRoundRect(x1,y1,width,height,15,15);
	g.drawLine(x1, y1+30, x2, y1+30);

	g.setColor(Color.black);	
	g.drawString(name,center,y1+20);//(x1+x2)/2- name.length()*3,y1+20);
	for (x = 0; x < actions.size(); x++)
	{
		action = (String) actions.elementAt(x);
		g.drawString(action, x1 + 2, y1 + (2 + x) * textHeight);
	}
		
//	g.drawString(action,(x1+x2)/2- action.length()*3,(y1+y2)/2+15);
}
	//- - - - - - - - -
	// Draw a blue line
	//- - - - - - - - -
public void drawSelected(java.awt.Graphics g) {
	Color orange2 = new Color(255,170,0);
			
	g.setColor(orange2);
	g.drawLine(x1-1, y1-1, x2+1, y1-1);   
	g.drawLine(x2+1, y1-1, x2+1, y2+1);
	g.drawLine(x2+1, y2+1, x1-1, y2+1);
	g.drawLine(x1-1, y2+1, x1-1, y1-1);
	g.drawLine(x1+1, y1+1, x2-1, y1+1);   
	g.drawLine(x2-1, y1+1, x2-1, y2-1);
	g.drawLine(x2-1, y2-1, x1+1, y2-1);
	g.drawLine(x1+1, y2-1, x1+1, y1+1);
//	g.drawRoundRect(x1,y1,width,height,15,15);
	
}
public Vector getActions() {
	return actions;
}
public String getName() {
	return name;
}
public void paint(java.awt.Graphics g)
{
//	Font f = g.getFont();
//	FontMetrics fm = Toolkit.getDefaultToolkit().getFontMetrics(f);
//	String s = name;
//	String attrName = "";
//	String methodName = "";
/*	int size = 0;
	int ascent = fm.getAscent();
	textHeight = fm.getHeight();
	int textWidth = fm.stringWidth(s);
	center = x1 + (width - textWidth) / 2;
	int tempY2 = 0;
	tempY = 0;
	ATagentComponentAttribute anAttribute;
	ATagentComponentMethod aMethod;
	g.setColor(new Color(150, 150, 255));
*/
	String action;
	ATagentComponentMethod aMethod;
	String methodName;
	
	//size the component width based on max attribute value
//	width = Max;
//	x2 = x1 + Max;

	//size the component height based on the number of attributes and methods
/*	if (attributes.size() == 0 || attributes.size() == 1)
		tempY = 1;
	else
		tempY = attributes.size();
	if (methods.size() == 0 || methods.size() == 1)
		tempY2 = 1;
	else
		tempY2 = methods.size();
	height = textHeight * (tempY + tempY2 + 1) + 5;
	y2 = y1 + (textHeight * (tempY + tempY2 + 1) + 5);


	//see if rectangle needs to be enlarged for component name
	if ((textWidth) > (Max))
	{
		Max = textWidth + 5;
		width = Max;
		x2 = x1 + Max;
	}
*/
	//draw rectangle
//	g.fillRect(x1, y1, width, height); //white background for rect.
	g.setColor(Color.black);
	g.drawRoundRect(x1+75, y1+75, width, height,15,15);
	
	//draw lines after component name
	g.drawLine(x1+75, y1 + textHeight + 3+75, x2+75, y1 + textHeight + 3+75);


	//draw component name text in rectangle
	g.drawString(name, center+75, y1 + 13+75);


	//display all attributes in the component box


	for (x = 1; x < actions.size(); x++)
	{
		
		action = (String) actions.elementAt(x);
	//	attrName = anAttribute.getAttrView();
		g.drawString(action, x1 + 2+75, y1 + (1 + x) * textHeight+75);
	//	size = fm.stringWidth(attrName);
	/*	if ((size) > (width))
		{
			Max = size + 5;
			width = Max;
			x2 = x1 + Max;
		}*/
	}

	//draw line after last attribute
/*	g.drawLine(x1, y1 + textHeight * (tempY + 1) + 2, x2, y1 + textHeight * (tempY + 1) + 2);

	//display all methods in the component box
	for (x = 0; x < methods.size(); x++)
	{
		aMethod = (ATagentComponentMethod) methods.elementAt(x);
		methodName = aMethod.getMethodView();
		g.drawString(methodName, x1 + 2, y1 + (2 + tempY + x) * textHeight);
	//	size = fm.stringWidth(methodName);
	/*	if ((size) > (width))
		{
			Max = size + 5;
			width = Max;
			x2 = x1 + Max;
		}*/
//	}
}
/**
 * This method was created in VisualAge.
 * @return java.lang.String
 */
public void resetMax() {
	Max=60;
}
public void setAction(Vector acts) {
	actions = acts;
}
public void setName(String s) {
	name = s;
}
}
