package Editor;

/**
 * This type was created in VisualAge.
 * Window to define properties of a conversation
  *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */
 import javax.swing.*;
public class ConvPropertiesDialog extends JDialog implements java.awt.event.ActionListener {
	private JLabel ivjActionLabel = null;
	private JLabel ivjNameLabel = null;
	private JLabel ivjMultiplicity = null;
	
	private JTextField ivjActionTextField = null;
	private JTextField ivjNameTextField = null;
	private JTextField ivjMultiplicityTF = null;
	
	private JPanel ivjJDialogContentPane = null;
	
	private JButton ivjApplyButton = null;
	
	private String name = "";
	private String mult = "";
	
	private system.ATconversation lConv = null;

	
/**
 * Constructor
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public ConvPropertiesDialog() {
	super();
	initialize();
}
/**
 * Constructor
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public ConvPropertiesDialog(system.ATconversation s1) {
	super();
	lConv = s1;
	name = s1.getName();
	mult = s1.getMultiplicity();
	initialize();
}
/**
 * Method to handle events for the ActionListener interface.
 * @param e java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public void actionPerformed(java.awt.event.ActionEvent e) {
	// user code begin {1}
	// user code end
	if ((e.getSource() == getApplyButton()) ) {
		connEtoC1();
	}
	// user code begin {2}
	// user code end
}
private void applyPushed() {
	
	name  = getNameTextField().getText();
	lConv.setName(name);

	mult = getMultiplicityTF().getText();
	lConv.setMultiplicity(mult);
	
	this.dispose();
}
/**
 * connEtoC1:  (ApplyButton.action. --> PropertiesDialog.applyPushed()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC1() {
	try {
		// user code begin {1}
		// user code end
		this.applyPushed();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Return the ApplyButton property value.
 * @return com.sun.java.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JButton getApplyButton() {
	if (ivjApplyButton == null) {
		try {
			ivjApplyButton = new JButton();
			ivjApplyButton.setName("ApplyButton");
			ivjApplyButton.setText("Apply");
			ivjApplyButton.setBounds(100, 101, 85, 25);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjApplyButton;
}
/**
 * Return the JDialogContentPane property value.
 * @return com.sun.java.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JPanel getJDialogContentPane() {
	if (ivjJDialogContentPane == null) {
		try {
			ivjJDialogContentPane = new JPanel();
			ivjJDialogContentPane.setName("JDialogContentPane");
			ivjJDialogContentPane.setLayout(null);
			getJDialogContentPane().add(getNameLabel(), getNameLabel().getName());
			getJDialogContentPane().add(getNameTextField(), getNameTextField().getName());
			getJDialogContentPane().add(getMultiplicity(), getMultiplicity().getName());
			getJDialogContentPane().add(getMultiplicityTF(), getMultiplicityTF().getName());
			getJDialogContentPane().add(getApplyButton());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjJDialogContentPane;
}
/**
 * Return the RecvdMsgLabel property value.
 * @return com.sun.java.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JLabel getMultiplicity() {
	if (ivjMultiplicity == null) {
		try {
			ivjMultiplicity = new JLabel();
			ivjMultiplicity.setName("Multiplicity");
			ivjMultiplicity.setText("Multiplicity");
			ivjMultiplicity.setBounds(20, 46, 114, 15);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjMultiplicity;
}
/**
 * Return the RecvdMsgTextField property value.
 * @return com.sun.java.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JTextField getMultiplicityTF() {
	if (ivjMultiplicityTF == null) {
		try {
			ivjMultiplicityTF = new JTextField();
			ivjMultiplicityTF.setName("MultiplicityTF");
			ivjMultiplicityTF.setBounds(135, 44, 145, 19);
			// user code begin {1}
			ivjMultiplicityTF.setText(mult);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjMultiplicityTF;
}
/**
 * Return the RecvdMsgLabel property value.
 * @return com.sun.java.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JLabel getNameLabel() {
	if (ivjNameLabel == null) {
		try {
			ivjNameLabel = new JLabel();
			ivjNameLabel.setName("NameLabel");
			ivjNameLabel.setText("Conversation Name");
			ivjNameLabel.setBounds(20, 16, 114, 15);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjNameLabel;
}
/**
 * Return the RecvdMsgTextField property value.
 * @return com.sun.java.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JTextField getNameTextField() {
	if (ivjNameTextField == null) {
		try {
			ivjNameTextField = new JTextField();
			ivjNameTextField.setName("NameTextField");
			ivjNameTextField.setBounds(135, 14, 145, 19);
			// user code begin {1}
			ivjNameTextField.setText(name);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjNameTextField;
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(Throwable exception) {

	/* Uncomment the following lines to print uncaught exceptions to stdout */
	// System.out.println("--------- UNCAUGHT EXCEPTION ---------");
	// exception.printStackTrace(System.out);
}
/**
 * Initializes connections
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initConnections() {
	// user code begin {1}
	// user code end
	getApplyButton().addActionListener(this);
}
/**
 * Initialize the class.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initialize() {
	// user code begin {1}
	// user code end
	setName("statePropertiesDialog");
	setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
	setSize(288, 156);
	setTitle("State Properties");
	setContentPane(getJDialogContentPane());
	initConnections();
	// user code begin {2}
	// user code end
}
/**
 * This method was created in VisualAge.
 * @param t system.ATtransition
 */
public void setCofnv(system.ATconversation c) {
	lConv = c;
}
}
