package Editor;

/**
 * Insert the type's description here.
 * Creation date: (5/19/00 10:41:51 AM)
 * Window used to define name of an object
 * @author: Jennifer Mifflin
  *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */
public class ObjName extends javax.swing.JDialog {
	
	private system.ATobject ivjObject = null;
	private system.ATsystem system = null;
	
	IvjEventHandler ivjEventHandler = new IvjEventHandler();
	
	private javax.swing.JButton ivjFinished = null;
	
	private javax.swing.JPanel ivjJDialogContentPane = null;
	
	private javax.swing.JLabel ivjNameLabel = null;
	
	private javax.swing.JTextField ivjNameText = null;

class IvjEventHandler implements java.awt.event.ActionListener {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			if (e.getSource() == ObjName.this.getFinished()) 
				connEtoC1();
		};
	};
/**
 * AgentProperties constructor comment.
 */
public ObjName(system.ATobject a) {
	super((java.awt.Frame)null,true);
	ivjObject = a;
	getNameText().setText(a.getName());
	initialize();
}
/**
 * AgentProperties constructor comment.
 */
public ObjName(system.ATobject a, system.ATsystem sys) {
	super((java.awt.Frame)null,true);
	ivjObject = a;
	system=sys;
	getNameText().setText(a.getName());
	initialize();
}
/**
 * connEtoC1:  (Finished.action. --> AgentProperties.finished_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC1() {
	try {
		// user code begin {1}
		// user code end
		this.finished_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Comment
 */
public void finished_ActionEvents() {
	
	String name = ivjObject.getName();		
	String cname = getNameText().getText();
	String cnameL = cname;
	int i=2;
	
	//to prevent repeat names
	// Repeat name restrictions are no longer necessary (JAG 2-12-01)
	/*if(system!=null) {
		while(system.repeatName(cnameL)) {//if not unique
			cnameL = cname + "(" + Integer.toString(i++) + ")";
		}
	}*/

	if(ivjObject != null){
		ivjObject.setName(cnameL);
	}
	this.dispose();
	return;
}
/**
 * Return the Finished property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getFinished() {
	if (ivjFinished == null) {
		try {
			ivjFinished = new javax.swing.JButton();
			ivjFinished.setName("Finished");
			ivjFinished.setText("Finish");
			ivjFinished.setBounds(131, 69, 85, 27);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjFinished;
}
/**
 * Return the JDialogContentPane property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJDialogContentPane() {
	if (ivjJDialogContentPane == null) {
		try {
			ivjJDialogContentPane = new javax.swing.JPanel();
			ivjJDialogContentPane.setName("JDialogContentPane");
			ivjJDialogContentPane.setLayout(null);
			getJDialogContentPane().add(getNameLabel(), getNameLabel().getName());
			getJDialogContentPane().add(getNameText(), getNameText().getName());
			getJDialogContentPane().add(getFinished(), getFinished().getName());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJDialogContentPane;
}
/**
 * Return the NameLabel property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getNameLabel() {
	if (ivjNameLabel == null) {
		try {
			ivjNameLabel = new javax.swing.JLabel();
			ivjNameLabel.setName("NameLabel");
			ivjNameLabel.setText("Name:");
			ivjNameLabel.setBounds(60, 33, 45, 17);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjNameLabel;
}
/**
 * Return the NameText property value.
 * @return javax.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JTextField getNameText() {
	if (ivjNameText == null) {
		try {
			ivjNameText = new javax.swing.JTextField();
			ivjNameText.setName("NameText");
			ivjNameText.setBounds(115, 30, 187, 21);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjNameText;
}
/**
 * Return the agent property value.
 * @return system.ATagent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private system.ATobject getprot() {
	// user code begin {1}
	// user code end
	return ivjObject;
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(java.lang.Throwable exception) {

	/* Uncomment the following lines to print uncaught exceptions to stdout */
	// System.out.println("--------- UNCAUGHT EXCEPTION ---------");
	// exception.printStackTrace(System.out);
}
/**
 * Initializes connections
 * @exception java.lang.Exception The exception description.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initConnections() throws java.lang.Exception {
	// user code begin {1}
	// user code end
	getFinished().addActionListener(ivjEventHandler);
}
/**
 * Initialize the class.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initialize() {
	try {
		// user code begin {1}
		// user code end
		setName("AgentProperties");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setSize(363, 142);
		setContentPane(getJDialogContentPane());
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
	// user code end
}
}
