package Editor;

/**
 * This type was created in VisualAge.
  *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */
 import javax.swing.*;
public class TransPropertiesDialog extends JDialog implements java.awt.event.ActionListener {
	
	private JLabel ivjGuardCondLabel = null;
	private JLabel ivjRecvdMsgLabel = null;
	private JLabel ivjTransMsgLabel = null;
	
	private JTextField ivjGuardCondTextField = null;
	private JTextField ivjRecvdMsgTextField = null;
	private JTextField ivjTransMsgTextField = null;
	
	private JPanel ivjJDialogContentPane = null;
	
	private JButton ivjApplyButton = null;

	private String recvdMsg, guardCond, transMsg;

	private system.ATtransition lTrans = null;
/**
 * Constructor
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public TransPropertiesDialog() {
	super((java.awt.Frame)null,true);
	initialize();
}
/**
 * Constructor
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public TransPropertiesDialog(String sRecvdMsg, 
							 String sGuardCond, 
							 String sTransMsg){//,
						//	 String sAction) {
	super((java.awt.Frame)null,true);

	recvdMsg = sRecvdMsg;
	guardCond = sGuardCond;
	transMsg = sTransMsg;
//	action = sAction;

	initialize();
}
/**
 * Method to handle events for the ActionListener interface.
 * @param e java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public void actionPerformed(java.awt.event.ActionEvent e) {
	// user code begin {1}
	// user code end
	if ((e.getSource() == getApplyButton()) ) {
		connEtoC1();
	}
	// user code begin {2}
	// user code end
}
private void applyPushed() {
	
	recvdMsg  = getRecvdMsgTextField().getText();
	guardCond = getGuardCondTextField().getText();
	transMsg  = getTransMsgTextField().getText();
//	action = 	getActionTextField().getText();

	lTrans.setRecMessage(recvdMsg);
	lTrans.setGuardCondition(guardCond);
	lTrans.setTransMessage(transMsg);
	lTrans.updateText();

	this.dispose();
}
/**
 * connEtoC1:  (ApplyButton.action. --> PropertiesDialog.applyPushed()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC1() {
	try {
		// user code begin {1}
		// user code end
		this.applyPushed();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Return the ApplyButton property value.
 * @return com.sun.java.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JButton getApplyButton() {
	if (ivjApplyButton == null) {
		try {
			ivjApplyButton = new JButton();
			ivjApplyButton.setName("ApplyButton");
			ivjApplyButton.setText("Apply");
			ivjApplyButton.setBounds(100, 141, 85, 25);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjApplyButton;
}
/**
 * Return the GuardCondLabel property value.
 * @return com.sun.java.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JLabel getGuardCondLabel() {
	if (ivjGuardCondLabel == null) {
		try {
			ivjGuardCondLabel = new JLabel();
			ivjGuardCondLabel.setName("GuardCondLabel");
			ivjGuardCondLabel.setText("Guard Condition");
			ivjGuardCondLabel.setBounds(37, 47, 97, 15);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjGuardCondLabel;
}
/**
 * Return the GuardCondTextField property value.
 * @return com.sun.java.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JTextField getGuardCondTextField() {
	if (ivjGuardCondTextField == null) {
		try {
			ivjGuardCondTextField = new JTextField();
			ivjGuardCondTextField.setName("GuardCondTextField");
			ivjGuardCondTextField.setBounds(135, 45, 145, 19);
			// user code begin {1}
			ivjGuardCondTextField.setText(guardCond);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjGuardCondTextField;
}
/**
 * Return the JDialogContentPane property value.
 * @return com.sun.java.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JPanel getJDialogContentPane() {
	if (ivjJDialogContentPane == null) {
		try {
			ivjJDialogContentPane = new JPanel();
			ivjJDialogContentPane.setName("JDialogContentPane");
			ivjJDialogContentPane.setLayout(null);
			getJDialogContentPane().add(getRecvdMsgLabel(), getRecvdMsgLabel().getName());
			getJDialogContentPane().add(getTransMsgLabel(), getTransMsgLabel().getName());
			getJDialogContentPane().add(getGuardCondLabel(), getGuardCondLabel().getName());
	//		getJDialogContentPane().add(getActionLabel(), getActionLabel().getName());
			getJDialogContentPane().add(getRecvdMsgTextField(), getRecvdMsgTextField().getName());
			getJDialogContentPane().add(getGuardCondTextField(), getGuardCondTextField().getName());
			getJDialogContentPane().add(getTransMsgTextField(), getTransMsgTextField().getName());
	//		getJDialogContentPane().add(getActionTextField(), getActionTextField().getName());
			
			getJDialogContentPane().add(getApplyButton(), getApplyButton().getName());
			
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjJDialogContentPane;
}
/**
 * Return the RecvdMsgLabel property value.
 * @return com.sun.java.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JLabel getRecvdMsgLabel() {
	if (ivjRecvdMsgLabel == null) {
		try {
			ivjRecvdMsgLabel = new JLabel();
			ivjRecvdMsgLabel.setName("RecvdMsgLabel");
			ivjRecvdMsgLabel.setText("Received Message");
			ivjRecvdMsgLabel.setBounds(20, 16, 114, 15);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjRecvdMsgLabel;
}
/**
 * Return the RecvdMsgTextField property value.
 * @return com.sun.java.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JTextField getRecvdMsgTextField() {
	if (ivjRecvdMsgTextField == null) {
		try {
			ivjRecvdMsgTextField = new JTextField();
			ivjRecvdMsgTextField.setName("RecvdMsgTextField");
			ivjRecvdMsgTextField.setText("");
			ivjRecvdMsgTextField.setBounds(135, 14, 145, 19);
			// user code begin {1}
			ivjRecvdMsgTextField.setText(recvdMsg);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjRecvdMsgTextField;
}
/**
 * Return the TransMsgLabel property value.
 * @return com.sun.java.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JLabel getTransMsgLabel() {
	if (ivjTransMsgLabel == null) {
		try {
			ivjTransMsgLabel = new JLabel();
			ivjTransMsgLabel.setName("TransMsgLabel");
			ivjTransMsgLabel.setText("Transmitted Message");
			ivjTransMsgLabel.setBounds(5, 78, 129, 15);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjTransMsgLabel;
}
/**
 * Return the TransMsgTextField property value.
 * @return com.sun.java.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private JTextField getTransMsgTextField() {
	if (ivjTransMsgTextField == null) {
		try {
			ivjTransMsgTextField = new JTextField();
			ivjTransMsgTextField.setName("TransMsgTextField");
			ivjTransMsgTextField.setBounds(135, 76, 145, 19);
			// user code begin {1}
			ivjTransMsgTextField.setText(transMsg);			
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjTransMsgTextField;
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(Throwable exception) {

	/* Uncomment the following lines to print uncaught exceptions to stdout */
	// System.out.println("--------- UNCAUGHT EXCEPTION ---------");
	// exception.printStackTrace(System.out);
}
/**
 * Initializes connections
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initConnections() {
	// user code begin {1}
	// user code end
	getApplyButton().addActionListener(this);
}
/**
 * Initialize the class.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initialize() {
	setName("PropertiesDialog");
	setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
	setSize(288, 196);
	setTitle("Transition Properties");
	setContentPane(getJDialogContentPane());
	initConnections();
}
/**
 * This method was created in VisualAge.
 * @param t system.ATtransition
 */
public void setTrans(system.ATtransition t) {
	lTrans = t;
}
}
