package Verify;

/**
 * A Class for stripping invalid characters from strings
 * @version 1.0 6 Oct 1999
 * @author Capt Tim Lacey
 *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */
public class CleanupString
{
/**
 * Deletes any character from the string other than letters
 * @param the input string with logical characters 
 * @return the converted string with only letters
 * @throws nothing
 */
public static String convert(String newS)
{
	// Variable used to convert strings
	String tempString = "";
	// for the length of the input word...
	for (int i = 1; i <= newS.length(); i++)
	{
		// If the character is a letter..
		StringBuffer out = new StringBuffer(newS.substring(i - 1, i));
		char c = out.charAt(0);
		if ((Character.isLetterOrDigit(c)))
		{
			// Then keep the whole string
		}
		else
		{
			// Delete the invalid character from the string
			tempString = newS.substring(0, i - 1) + newS.substring(i, newS.length());
			i = i - 1;
			// Reset the value of newS with the updated value
			newS = tempString;
		}
	}
	return newS;
}
}
