package agentBase;

import java.util.*;
import KBFile.*;
import system.*;

/**
 * Simple test class for the RecordsFile example. To run the test, 
 * set you CLASSPATH and then type "java hamner.dbtest.TestRecords"
 */
public class TestRecords {

  static void log(String s) {
	System.out.println(s);
  }  
  public static void main (String[] args) throws Exception {

	
	log("creating conversations file...");
	ATObjectFile convFile   = new ATObjectFile("ATConversations.library", "rw");
	//log("creating agents file...");
	//ATObjectFile agentFile  = new ATObjectFile("ATAgents.library", "rw");
	//log("creating systems file...");
//	ATObjectFile systemFile = new ATObjectFile("ATSystems.library", "rw");

	//ATconversation GC = new ATconversation();
	//ATagent  	   GA = new ATagent();
	//ATsystem 	   GS = new ATsystem();
	
	//g("adding a record...");
	//RecordWriter rwc  = new RecordWriter("GenericConversation");
	//RecordWriter rwa  = new RecordWriter("GenericAgent");
	//RecordWriter rws  = new RecordWriter("GenericSystem");
	
	//GC.setDescription("This is the conversation template class in Java");
	//rwc.writeObject(GC);
	//GA.setDescription("This is the agent template class in Java");
	//rwa.writeObject(GA);	
	//GS.setDescription("This is the system template class in Java");
	//rws.writeObject(GS);
	
	//convFile.insertRecord(rwc);
	//agentFile.insertRecord(rwa);
	//systemFile.insertRecord(rws);
	
  //log("reading record...");
	RecordReader rr = convFile.readRecord("GenericConversation");
	ATconversation GC2 = (ATconversation)rr.readObject();
	System.out.println("\tlast access was at: " + GC2.getDescription());
	//log("deleting record...");
	//conversationFile.deleteRecord("GenericConversation");
	if (convFile.recordExists("GenericConversation")) {
	  throw new Exception("Record located");
	} else {
	  log("record not found.");
	}
	
  }  
}
