package system;

/**
 * This type was created in VisualAge.
 *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */
//___________________________________________________
// Class to represent a line
//___________________________________________________
import java.io.*;
import java.util.Vector;
import java.awt.*;

class ATagentConnectorGRFX extends Line {
	
	String Title = "";
	String one = "";
	String two = "";
	
/**
 * This method was created in VisualAge.
 */
public ATagentConnectorGRFX() {
	super();
	one = "I";
	two = "R";
}
/**
 * This method was created in VisualAge.
 */
public ATagentConnectorGRFX(ATagentConnectorGRFX cp) {
	super(cp);
}
/**
 * This method was created in VisualAge.
 */
public void drawLine(Graphics g) {
	
	g.setColor(Color.red);									//set the color to red
	if(type() == "loop"){

		int x;
		int y;
		if(pos1=='y'){
			if(num1==1){
				g.drawArc(x(0)+8,y(0)-25,30/*width*/,50/*height*/,0/*start*/,180); //draw the arc

				g.setColor(Color.black);	//set color to black for text
				x = x(0) - Title.length();		//find x and y for where the Title
				y = y(0) - height/3;					//will be placed
			} else{
				g.drawArc(x(0)+8,y(0)-25,30,50,180,180);
				g.setColor(Color.black);
				x = x(0) - Title.length();
				y = y(0) + height/2-2;
			}
		} else {
			if(num1 == 1){
				g.drawArc(x(0)-25,y(0)-8,50,30,90,180);
				g.setColor(Color.black);
				x = x(0)-Title.length()*10;
				y = y(0) + 5;
			} else {
				g.drawArc(x(0)-25,y(0)-8,50,30,270,180);
				g.setColor(Color.black);
				x = x(0)+ 10;
				y = y(0) + 5;
			}
		}
		g.drawString(Title,x,y);								//write the Title
		g.setColor(Color.black);									//set color to black for arrow
		g.drawLine(x(1)+23,y(1),x1f+23,y1f);					//draw the arrow
		g.drawLine(x1f+23,y1f,x2f+23,y2f);
		g.drawLine(x2f+23,y2f,x(1)+23,y(1));

	} else {
		for (int i=0; i<n()-1; i++){							//draw the actual line
			g.drawLine(x(i),y(i),x(i+1),y(i+1));
		}
		g.setColor(Color.black);								//set color to black for text
		int mid = n()/2;										//find middle of points on line
		int x = (x(mid-1) + x(mid))/2 - Title.length()*3;		//find x and y for where the Title
		int y = (y(mid-1) + y(mid))/2 - 3;					//will be placed
		g.drawString(Title,x,y);						//write the Title

		g.drawLine(x(n()-1),y(n()-1),x1f,y1f);	//draw the two lines going back at an angle
		g.drawLine(x(n()-1),y(n()-1),x2f,y2f);	//to form the arrow
		
		/*if(y(0)<y(1)){										//decide where the first description
			y=y(0) +13;										//should go.
		} else {
			y=y(0) -3;
		}
		if(x(0)<x(1)){
			x=x(0)+5;
		} else {
			x=x(0)-one.length()*6-2;
		}
		g.drawString(one,x,y);									//write the first discription
		
		if(y(n()-1)<y(n()-2)){							//calculate where the second discription
			y=y(n()-1)+13;									//should go
		} else {
			y=y(n()-1)-3;
		}
		if(x(n()-1)<x(n()-2)){
			x=x(n()-1)+5;
		}else {
			x=x(n()-1)-two.length()*6-2; 
		}
		g.drawString(two,x,y);									//write the second*/
	}
		
	
}
	//- - - - - - - - -
	// Draw a blue line
	//- - - - - - - - -
public void drawSelected(java.awt.Graphics g) {
	g.setColor(Color.orange);
	if (type() != "loop"){
		for (int i=0; i<n()-1; i++){		//draw the actual line
			g.drawLine(x(i)-1,y(i)-1,x(i+1)-1,y(i+1)-1);
			g.drawLine(x(i)+1,y(i)+1,x(i+1)+1,y(i+1)+1);
		}
	} else{
		if(pos1 == 'y'){
			if(num1 == 1){
				g.drawArc(x(0)+9,y(0)-25,28/*width*/,52/*height*/,0/*start*/,180);	//draw the arc
				g.drawArc(x(0)+7,y(0)-25,32/*width*/,48/*height*/,0/*start*/,180);	//draw the arc
			} else {
				g.drawArc(x(0)+9,y(0)-25,28,50,180,180);
				g.drawArc(x(0)+7,y(0)-25,32,50,180,180);
			}
		} else {
			if(num1 == 1){
				g.drawArc(x(0)-25,y(0)-7,52,28,90,180);
				g.drawArc(x(0)-25,y(0)-9,48,32,90,180);
			} else {
				g.drawArc(x(0)-25,y(0)-7,50,28,270,180);
				g.drawArc(x(0)-25,y(0)-9,50,32,270,180);
			}
		}
	}
}
/**
 * This method was created in VisualAge.
 * @return java.lang.String
 */
public String getName() {
	return Title;
}
/**
 * This method was created in VisualAge.
 * @return java.lang.String
 */
public void setInitiator(String s) {
	one = s;
}
/**
 * This method was created in VisualAge.
 * @return java.lang.String
 */
public void setName(String s) {
	Title = s;
}
/**
 * This method was created in VisualAge.
 * @return java.lang.String
 */
public void setRespondor(String s) {
	two = s;
}
}
