package system;

import java.util.*;
/**
 * all main objects extend this object
 * This type was created in VisualAge.
 *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */
public abstract class ATobject {
	protected String description="none";
	protected String name = "null";
	protected double version = 0;
	protected String MAML = "null";
	protected String MAMLheader="<?xml version=\"1.1\"?>\n";

	private String ukey = "abstract";
public ATobject(double i) {
	//super();
	version=i;
}
public ATobject(String mamlbuild, double v) {
	//super();
	MAML=mamlbuild;
	version = v;
}
public ATobject(ATobject cp) {
}
/**
 * Insert the method's description here.
 * Creation date: (11/17/00 2:11:33 PM)
 * @param blueprint system.ATobject
 */
public void clone(ATobject blueprint) {
	this.description = blueprint.description;
	this.name = blueprint.name;
	this.version = blueprint.version;
	this.MAML = blueprint.MAML;
	this.MAMLheader = blueprint.MAMLheader;
}
/**
 * Insert the method's description here.
 * Creation date: (10/20/99 12:47:43 PM)
 */
public String getDATA() {
	return MAML;
}
public String getDescription() {
	return description;
}
/**
 * Insert the method's description here.
 * Creation date: (10/20/99 12:47:43 PM)
 */
public String getFullMAML() {
	return MAMLheader + MAML;
}
/**
 * Insert the method's description here.
 * Creation date: (1/29/01 1:49:39 PM)
 * @return java.lang.String
 */
public String getKey() {
	return ukey;
}
/**
 * Insert the method's description here.
 * Creation date: (10/20/99 12:47:43 PM)
 */
public abstract String getMAML() throws Exception;
/**
 * Insert the method's description here.
 * Creation date: (7/17/00 11:05:26 AM)
 * @return java.lang.String
 */
public String getName() {
	return name;
}
/**
 * Insert the method's description here.
 * Creation date: (10/20/99 12:01:31 PM)
 * @return int
 */
public double getVersion() {
	return version;
}
/**
 * Insert the method's description here.
 * Creation date: (6/12/00 10:46:11 AM)
 * @param n java.lang.String
 */
public void setDescription(String n) {
	description = n;
}
/**
 * Insert the method's description here.
 * Creation date: (1/29/01 1:55:02 PM)
 * @param key java.lang.String
 */
public void setKey(String keyval) {
	ukey = keyval;
}
/**
 * Insert the method's description here.
 * Creation date: (7/17/00 10:52:03 AM)
 * @param n java.lang.String
 */
public void setName(String n){
	name = ATtokenOps.validName(n);
}
/**
 * Insert the method's description here.
 * Creation date: (10/20/99 12:34:50 PM)
 */
public void setVersion(double v) {
	version=v;
}
/**
 * Insert the method's description here.
 * Creation date: (7/17/00 2:17:09 PM)
 */
public void writeDATA() {
	MAML = "Description:\n" + description + "\n";
}
}
