package system;

/**
 * all states extend this type.
 * start states, end states, and regular states
 * This type was created in VisualAge.
 *
 * THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION IS RELEASED "AS IS."
 * THE U.S. GOVERNMENT MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * CONCERNING THIS SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION, INCLUDING,
 * WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 * PARTICULAR PURPOSE.  IN NO EVENT WILL THE U.S. GOVERNMENT BE LIABLE
 * FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE, OR 
 * INABILITY TO USE, THIS SOFTWARE OR ANY ACCOMPANYING DOCUMENTATION,
 * EVEN IF INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 */
 import java.awt.*;
 import java.util.*;
public abstract class ATtableElement extends ATobject{

	public boolean Selected = false;
	public boolean corner = false;
	public boolean errorSelected = false;

/**
 * ATtableElement constructor comment.
 */
public ATtableElement(double v) {
	super(v);
}
/**
 * ATtableElement constructor comment.
 */
public ATtableElement(ATtableElement cp) {
	super(cp.getVersion());
}
/**
 * This method was created in VisualAge.
 * @param x int
 * @param y int
 */
public abstract boolean checkSelected(int x, int y);
/**
 * This method was created in VisualAge.
 * @param g Graphics
 */
public abstract void draw(Graphics g);
public abstract Vector getActions();
/**
 * This method was created in VisualAge.
 * @return ATsquare
 * @param g java.lang.String
 */
public abstract Square getGrfx();
public abstract String getName();
/**
 * This method was created in VisualAge.
 * @param x int
 * @param y int
 */
public abstract void move(int x, int y);
/**
 * This method was created in VisualAge.
 * @param g Graphics
 */
public abstract void print(Graphics g);
/**
 * This method was created in VisualAge.
 * @param x int
 * @param y int
 */
public abstract void resize(int x, int y);
}
